@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@600;700&display=swap');

/*color palate*/

:root {
    --black: #000000;
    --white: #fff;
    --white_smoke: #f5f5f5;
    --ash: #808080;
    --dark-coffee: #3C2F2F;
    --coffee: #6F4436;
    --light-coffee: #BE9B7B;
    --dark-color: #252525;
    --star-color: #FFE46B;
}

::selection {
    background-color: var(--dark-coffee);
    color: var(--light-coffee);
}

* {
    margin: 0; padding: 0;
    box-sizing: border-box;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: .2s linear;
}

/*
*::selection {
    background: var(--white);
    color: var(--black);
}
    */

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
    overflow-x: hidden;
    /* background-color: var(--black); */
}

section {
    padding: 2rem 9%;
}

/*heading section*/

.heading {
    text-align: center;
    font-size: 4rem;
    color: var(--coffee);
    padding: 1rem;
    margin: 2rem 0;
    background: rgba(0, 0, 0, 0.03);
}

.heading span {
    color: var(--light-coffee);
}

/*heading section*/

/*button section*/

.btn {
    display: inline-block;
    margin-top: 1rem;
    border-radius: 5rem;
    background: var(--light-coffee);
    color: white;
    padding: .9rem 3.5rem;
    cursor: pointer;
    font-size: 1.5rem;
}

.btn:hover {
    background: var(--coffee);
}

/* button animation code */

/*    
.btn::after  .btn::before{
    position: absolute;
    content: '';
    top: 0; left: 0;
    width: 100%;
    height: 100%;
    background: violet;
    z-index: -1;
    transition: all 0.5s cubic-bezier(.37, 1.14, .26, 1.24);
}

.btn::before {
    background-color: #ec407a;
    clip-path: polygon(1 0 ,0 0 ,0 0);
}

.btn:hover::before {
    background-color: var(--blue);
    clip-path: polygon(0 0, 0 0%, 0% 0);
}

.btn::after {
    background-color: var(--pink);
    clip-path:  polygon(100% 100%, 10% 10%, 100% 0%);
}

.btn:hover::after {
    background-color: var(--blue);
    clip-path: polygon(100% 100%, 100% 10%, 100% 0%);
}

.btn:hover{
    color: var(--baby_pink);
}

*/

/*button section*/

/*header section*/

header {
    position: fixed;
    top: 0; left: 0; right: 0;
    background: var(--dark-color);
    padding: 2rem 9%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    color: #F5F5F5;
}

header .logo {
    font-size: 3rem;
    color: #F5F5F5;
    font-weight: bolder;
}

header .logo span {
    color: var(--coffee);
}

header .navbar a{
    font-size: 2rem;
    padding: 0 1.5rem;
    color: #F5F5F5;
}

header .navbar a:hover {
    color: var(--light-coffee);
}

header .icon a{
    font-size: 2.5rem;
    margin-left: 1.5rem;
    color: #F5F5F5;
}

header .icon a:hover {
    color: var(--light-coffee);
}

header #toggler {
    display: none;
}

header .fa-bars {
    font-size: 2.7rem;
    color: #F5F5F5;
    padding: .5rem 1.5rem;
    border-radius: .5rem;
    /*border: 1.5rem solid rgba(0, 0, 0, .1);*/
    display: none;
}

/*header section*/

/*home section*/

.home {
    display: flex;
    align-items: center;
    min-height: 100vh;
    background: url("../coffee_banner.jpg");
    background-color: rgb(255, 255, 255);
    background-size: cover;
    background-position: center;
}

.home .content {
    max-width: 50rem;
}

.home .content h3 {
    font-size: 6rem;
    color: var(--white);

/*    
    -webkit-animation: glow 1s ease-in-out infinite alternate;
    -moz-animation: glow 1s ease-in-out infinite alternate;
    animation: glow 1s ease-in-out infinite alternate;
        text-shadow: 0 0 10px #007595,
         0 0 20px #00bbe6,
         0 0 30px #00c8ff,
         0 0 40px #2dd1ff,
         0 0 50px #00c8ff,
         0 0 60px #00c8ff,
         0 0 70px #00c8ff;

*/         
}

.home .content span {
    font-size: 3.3rem;
    color: var(--white);
    padding: 1rem 0;
    line-height: 1.5;
}

.home .content p {
    font-size: 1.5rem;
    color: var(--white_smoke);
    padding: 1rem 0;
    line-height: 1.5;
}

/*home section*/

/*about section*/

.about .row {
    display: flex;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    padding: 2rem 0;
    padding-bottom: 3rem;
}

.about .row .video_container {
    flex: 1 1 40rem;
    position: relative;
}

.about .row .video_container video {
    width: 100%; 
    border: 1.5rem solid #fff;
    border-radius: .5rem;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    height: 100%;
    object-fit: cover;
}

.about .row .video_container h3 {
    position: absolute;
    top: 50%; transform: translateY(-50%);
    font-size: 3rem;
    background: #fff;
    width: 100%;
    padding: 1rem 2rem;
    text-align: center;
    mix-blend-mode: screen;
}

.about .row .content {
    flex: 1 1 40rem;
}

.about .row .content h3 {
    font-size: 3rem;
    color: var(--light-coffee);
}

.about .row .content p {
    font-size: 1.5rem;
    color: var(--coffee);
    padding: .5rem 0;
    padding-top: 1rem;
    line-height: 1.5;
}

/*about section*/

/*menu section*/

.menu {
    background-color: var(--dark-color);
    color: var(--white);
}

.menu .heading {
    margin-bottom: 10px;
}

.menu .menu-list {
    display: flex;
    flex-wrap: wrap;
    gap: 110px;
    align-items: center;
    justify-content: space-between;
}

.menu .menu-list .menu-item {
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    justify-content: space-between;
    width: calc(100% / 3 - 110px);
}

.menu .menu-list .menu-item img{
    user-select: none;
    max-width: 83%;
    aspect-ratio: 1;
    margin-bottom: 15px;
    object-fit: contain;
}

.menu .menu-list .menu-item .name {
    margin: 12px 0;
    font-size: 2rem;
    font-weight: bold;
    color: var(--light-coffee);
}

.menu .menu-list .menu-item .content {
    font-size: 1.4rem;
    font-weight:unset;
}

/*menu section*/

/* review section */

.review .box-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.review .box-container .box {
    background: var(--dark-color);
    color: var(--white);
    text-align: center;
    padding: 2rem;
    border: .5rem solid var(--dark-color);
    box-shadow: rgba(0, 0, 0, .1);
    flex: 1 1 30rem;
    border-radius: 0.6rem;
    margin-top: 6rem;
}

.review .box-container .box img {
    user-select: none;
    height: 12rem;
    width: 12rem;
    border: 1px solid --dark-color;
    margin-top: -8rem;
    object-fit: cover;
    border-radius: 60%;
}

.review .box-container .box h1 {
    font-size: 2.8rem;
    color: var(--light-coffee);
    padding: 2.5rem 0;
}

.review .box-container .box p {
    font-size: 1.3rem;
    gap: 1.5rem;
    color: var(--ash);
    /* text-align: left; */
    padding: 1rem 0;
}

.review .box-container .box .stars i {
    font-size: 2rem;
    color: var(--star-color);
    padding: 0.5rem 0;
}

/* review section */

/* gallery section */

.gallery .inputs {
    opacity: 0;
    position: absolute;
}

.container_gallery {
    align-items: center;
    width: 100%;
    text-align: center;
}

.container_gallery h2 {
    font-weight: bold;
    font-style: italic;
    color: var(--dark-coffee);
    font-size: 3rem;
    position: relative;
    margin: 40px 0;
}

.container_gallery h2 span {
    color: var(--coffee);
}

.container_gallery h2::before {
    content: '';
    position: absolute;
    width: 100px;
    height: 4px;
    background-color: var(--light-coffee);
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
    animation: animate 4s linear infinite;
}

@keyframes animate {
    0%{
        width: 100px;
    }

    50%{
        width: 200px;
    }

    100%{
        width: 100px;
    }
}

.top-content {
    background-color: var(--dark-color);
    color: var(--white);
    width: 100%;
    margin: 0 auto 20px auto;
    height: 60px;
    display: flex;
    align-items: center;
    border-radius: 5px;
    box-shadow: 3px 3px 5px lightgray;
}

.top-content h3 {
    font-size: 2.4rem;
    height: 100%;
    background-color: var(--light-coffee);
    line-height: 60px;
    padding: 0 50px;
    color: var(--dark-coffee);
}

label {
    display: inline-block;
    height: 100%;
    /* padding: 0 10px; */
    margin: 0 20px;
    line-height: 60px;
    font-size: 1.5rem;
    color: rgb(154, 171, 188);
    cursor: pointer;
    transition: color .5s;
}

label:hover {
    color: var(--light-coffee);
}

.photo-gallery {
    width: 90%;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 20px;
}

.pic {
    position: relative;
    height: 100%;
    width: 102%;
    border-radius: 10px;
    box-shadow: 3px 3px 5px lightgray;
    cursor: pointer;
    transition: .5s;
}

.pic::before {
    content: "PHOTO GALLERY";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--white_smoke);
    font-size: 2.5rem;
    font-weight: bold;
    width: 100%;
    margin-top: -100px;
    opacity: 0;
    transition: .3s;
    transition-delay: .2s;
    z-index: 1;
}

.pic::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    border-radius: 10px;
    width: 100%;
    height: 0%;
    background-color: rgba(0, 0, 0, .4);
    transition: .3s;
}

.pic:hover::after {
    height: 100%;
}

.pic:hover::before {
    margin-top: 0;
    opacity: 1;
}

.pic img{
    width: 100%;
    height: 100%;
    border-radius: 10px; 
    transition: .5s;
}

/* for check2  */

#check2:checked ~ .container_gallery .photo-gallery .beverages {
    transform: scale(1);
    opacity: 1;
    position: relative;
    transition: .5s;
}

#check2:checked ~ .container_gallery .photo-gallery .sweets,
#check2:checked ~ .container_gallery .photo-gallery .food,
#check2:checked ~ .container_gallery .photo-gallery .refreshment {
    opacity: 0;
    transform: scale(0);
    position: absolute;
    transition: 0s;
}

/* for check3  */

#check3:checked ~ .container_gallery .photo-gallery .sweets {
    transform: scale(1);
    opacity: 1;
    position: relative;
    transition: .5s;
}

#check3:checked ~ .container_gallery .photo-gallery .beverages,
#check3:checked ~ .container_gallery .photo-gallery .food,
#check3:checked ~ .container_gallery .photo-gallery .refreshment {
    opacity: 0;
    transform: scale(0);
    position: absolute;
    transition: 0s;
}

/* for check4  */

#check4:checked ~ .container_gallery .photo-gallery .food {
    transform: scale(1);
    opacity: 1;
    position: relative;
    transition: .5s;
}

#check4:checked ~ .container_gallery .photo-gallery .beverages,
#check4:checked ~ .container_gallery .photo-gallery .sweets,
#check4:checked ~ .container_gallery .photo-gallery .refreshment {
    opacity: 0;
    transform: scale(0);
    position: absolute;
    transition: 0s;
}

/* for check4  */

#check5:checked ~ .container_gallery .photo-gallery .refreshment {
    transform: scale(1);
    opacity: 1;
    position: relative;
    transition: .5s;
}

#check5:checked ~ .container_gallery .photo-gallery .beverages,
#check5:checked ~ .container_gallery .photo-gallery .sweets,
#check5:checked ~ .container_gallery .photo-gallery .food {
    opacity: 0;
    transform: scale(0);
    position: absolute;
    transition: 0s;
}

/* gallery section */


/* contact section styling */

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact form .input-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;

}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--light-coffee);
    background-color: var(--white);
    /* border: 1px solid var(--dark-color); */
    border-radius: 0.8rem;
    border: 2px solid var(--light-coffee);
    margin: 1rem 0;
    resize: none;
}

.contact form .btn {
    margin-top: 2rem;
    width: 100%;
    margin-bottom: 3rem;
}

/* contact section styling */


/* footer section */

.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background-color: var(--dark-color);
}

.footer .social {
    text-align: center;
    padding-bottom: 25px;
    color: var(--white);
}

.footer .social a {
    font-size: 30px;
    color: var(--white);
    /* border: 2px solid white; */
    width: 42px;
    height: 42px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: 0.3s ease-in-out;
}

.footer .social a:hover {
    transform: scale(1.2) translateY(-10px);
    border-color: var(--white);
    color: var(--light-coffee);
}

.footer ul {
    margin-top: 0;
    padding: 0;
    font-size: 18px;
    line-height: 1.6;
    margin-bottom: 0;
    text-align: center;
}

.footer ul li {
    display: inline-block;
    padding: 0 15px;
}

.footer ul li a {
    color: var(--white);
    border-bottom: 3px solid transparent;
    transition: 0.3s ease;
}

.footer ul li a:hover {
    border-bottom: 2px solid var(--white);
}

.footer .copyright {
    margin-top: 50px;
    text-align: center;
    font-size: 16px;
    color: var(--white);
}

/* footer section */
















/*media queries*/

@media(max-width:1024px) {

    .menu .menu-list {
        gap: 60px;
    }

    .menu .menu-list .menu-item {
        width: calc(100% / 3 - 60px);
    }
}

@media(max-width:991px) {
    html {
        font-size: 55%;
    }
    header {
        padding: 2rem;
    }
}

/* for footer section responsive */

@media(max-width:768px) {

    .footer ul li {
        display: inline-block;
        padding: 0 5px;
    }

    .footer ul li a:hover {
        border-bottom: 2px solid var(--white);
    }
    
    .footer .copyright {
        margin-top: 50px;
        text-align: center;
        font-size: 16px;
        color: var(--white);
    }
}


/* for manu section responsive */

@media(max-width:768px) {
    .menu {
        background-color: var(--dark-color);
        color: var(--white);
    }

    .menu .menu-list {
        display: flex;
        flex-wrap: wrap;
        gap: 110px;
        align-items: center;
        justify-content: space-between;
    }

    .menu .menu-list .menu-item {
        margin-left: 50px;
        display: flex;
        align-items: center;
        text-align: center;
        justify-content: center;
        width: calc(100% / 1 - 110px);
    }

    .menu .menu-list .menu-item img{
        user-select: none;
        max-width: 83%;
        aspect-ratio: 0;
        margin-bottom: 15px;
        object-fit: contain;
    }

    .menu .menu-list .menu-item .name {
        margin: 12px 0;
        font-size: 2rem;
        font-weight: bold;
        color: var(--light-coffee);
    }

    .menu .menu-list .menu-item .content {
        font-size: 1.4rem;
        font-weight:unset;
    }
}

/* for gallery section responsive */

@media(max-width:768px) {
    .top-content {
        background-color: var(--dark-color);
        color: var(--white);
        width: 102%;
        margin: 0 auto 20px auto;
        height: 60px;
        display: flex;
        align-items: center;
        border-radius: 5px;
        box-shadow: 3px 3px 5px lightgray;
    }

    .top-content h3 {
        font-size: 1.6rem;
        height: 100%;
        background-color: var(--light-coffee);
        line-height: 60px;
        padding: 0 13px;
        color: var(--dark-coffee);
    }

    label {
        display: inline-block;
        height: 100%;
        /* padding: 0 10px; */
        margin: 0 12px;
        line-height: 60px;
        font-size: 1.5rem;
        color: rgb(154, 171, 188);
        cursor: pointer;
        transition: color .5s;
    }

    label:hover {
        color: var(--light-coffee);
    }

    .photo-gallery {
        width: 90%;
        margin: auto;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
    }
}


@media(max-width:768px) {
    header .fa-bars{
        display: block;
    }

    header .navbar {
        position: absolute;
        top: 100%; left: 0; right: 0;
        background: var(--black);
        border-top: .1rem solid rgba(0, 0, 0, .1);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }

    header #toggler:checked ~ .navbar {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    header .navbar a {
        margin: 1.5rem;
        padding: 1.5rem;
        background: var(--black);
        border-right: .1rem solid rgba(0, 0, 0, .1);
        display: block;
    }

    .home .content h3 {
        font-size: 5rem;
    }

    .home .content span {
        font-size: 2.5rem;
    }
}

@media (max-width:450px) {

    html {
        font-size: 50%;
    }

    .heading {
        font-size: 3rem;
    }

}